all repos — zenUtils @ 9b49fd553731418b49b542de822392d61f9fe4ff

misc utilities for computing zen

update zenUtils
Iris Lightshard nilix@nilfm.cc
PGP Signature
-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEkFh6dA+k/6CXFXU4O3+8IhROY5gFAmBfxCcACgkQO3+8IhRO
Y5hqdA//e7ZoGJmypnD7ZIuItD845QDpfxh98Ql2YqNfw4n0HEE2S3yboJpSgebn
K8uPvV/5x/stK6liOaZ/v/gg8pvzOpIzA0D8PYdw3qKXXaB3QAWeq3DfconLkxY6
W+sDJXxXpLdRE+E71VhMznFMkBEeXmRZBUyOuIKsmq5RMqUG0EO7349N77rw1JEJ
piGkKgDx6UIp0NZg9TzRK+jrXASeS3XRAwMbgTuUcuMVTp2jJh/QMIhTP9QodjWW
xX92jFTBJDq6RKGA8UMWrqsfWyA4KTzx2e6ly4Qr/okc8LafGVo27WC9YFzRN6Zv
7Dj6myjB0VIRD4z2QLe2WpXh0TQvGetLCr9h57V/5LZqoiZzyvKCj9GFPmwiw3kY
lA0/IEV2WCTnO27n0AQtqoD9IVxgfTYxVrRz+JAsfuqzVdUa4YPEzFJevfUbJfWR
V7PgvsKATtyviJYObSlfynwGNDLi1zS7iMPCDOjeesr38Dz8sU/kvBtTOnNY3M2n
YJXeaz+bbLTDwEV6Zs/tHy7Iyhw6NsIWYMCw3r6Re+MxayutFoyXI7kNwIvui2/n
VHEgfhChrsxOIMK2v7bE6H3XIoH2ijD8W4E27Ijv/dIvRQwB6lKdRYD0gthXZ8TV
JBmqWNXIZ5ikzGX1mYpjEacg3eXCEomVb5vEU/aQbEsrdU92tVU=
=Qxl0
-----END PGP SIGNATURE-----
commit

9b49fd553731418b49b542de822392d61f9fe4ff

parent

571d2b0d95ccc03a2c63a27a2e3b3222979ed752

7 files changed, 61 insertions(+), 22 deletions(-)

jump to
M extdisplay.shextdisplay.sh

@@ -19,10 +19,11 @@ }

if [ -z $1 ]; then helpme + exit 0 fi -native=xrandr | grep LVDS | awk '{print $1}' -plugged=xrandr | grep connected | grep -v ${native} | awk '{print $1}' +native=$(xrandr | grep LVDS | awk '{print $1}') +plugged=$(xrandr | grep connected | grep -v disconnected | grep -v ${native} | awk '{print $1}') if [ "$1" = solo ]; then xrandr --output ${plugged} --primary
M logout.shlogout.sh

@@ -29,11 +29,15 @@ suspend)

zzz ;; logout) - if pgrep kwin; then - pkill -9 -P $(pgrep .kwin-session) - elif pgrep ryudo; then - kill $(pgrep ryudo) - else killall Xorg; fi + if pgrep sddm-helper; then + killall sddm-helper + elif [ "$SESH" = "kwin" ]; then + killall plasmashell + elif [ "$SESH" = "ryudo" ]; then + pkill -9 -P $(pgrep ryudo) + else + killall -0 Xorg + fi ;; hibernate) ZZZ
A muttwrapper.sh

@@ -0,0 +1,2 @@

+#!/bin/sh +alacritty -e neomutt "$@"
M nmtuiWin.shnmtuiWin.sh

@@ -7,7 +7,7 @@ # (c) 2020 Derek Stevens <drkste@zoho.com>

# MIT License -- do whatever you want if [ $(pgrep nmtui) -gt 0 ]; then - exec alacritty -d 80 30 --position 9999 0 -t "Network Configuration" \ + exec alacritty -t "Network Configuration" \ --config-file ~/src/zenUtils/nmtui_alacritty.yml -e nmtui & else killall nmtui
M nmtui_alacritty.ymlnmtui_alacritty.yml

@@ -28,15 +28,15 @@ # must be at least `2`, while using a value of `0` for columns and lines will

# fall back to the window manager's recommended size. dimensions: columns: 80 - lines: 24 + lines: 30 # Window position (changes require restart) # # Specified in number of pixels. # If the position is not set, the window manager will handle the placement. #position: - # x: 0 - # y: 0 + x: 9999 + y: 0 # Window padding (changes require restart) #

@@ -147,7 +147,7 @@ # The `style` can be specified to pick a specific face.

#style: Bold Italic # Point size - size: 6 + size: 9 # Offset is the extra space around each character. `offset.y` can be thought of # as modifying the line spacing, and `offset.x` as modifying the letter spacing.
A plasma-autostart.sh

@@ -0,0 +1,24 @@

+#!/bin/sh + +xset -b +sudo powertop -auto-tune & +redshit -x; redshift -O 6000K & +xbacklight -set 50 & + +if ! pgrep pulseaudio; then + pulseaudio -k + pulseaudio --start --exit-idle-time=-1 & +fi +if ! pgrep hamster-service; then + hamster-service & +fi +if ! pgrep offlineimap; then + offlineimap & +fi + + +export GTK_THEME=steppenwolf-dark +rm ~/.config/gtkrc* +export WINIT_X11_SCALE_FACTOR=1 +xbindkeys -f ~/.xbindkeysrc.kwin +tint2&
M t2stats.sht2stats.sh

@@ -5,8 +5,19 @@ # this is a simple network/battery status indicator to be used with tint2

# copyleft 2020 Derek Stevens <drkste@zoho.com> # MIT License -- do whatever you want -while true; do -# network +if [ "$1" = "-l" ]; then + load=$(cat /proc/loadavg | awk '{print $1}') + memdata=$(free -h --si | grep Mem) + swapdata=$(free -h --si | grep Swap) + memused=$(echo ${memdata} | awk '{print $3}' ) + swapused=$(echo ${swapdata} | awk '{print $3}') + + echo " ${load} | ${memused} | ${swapused}" +fi + +if [ "$1" = "-r" ]; then + + # network actives=$(nmcli connection show --active) possiblywifi=$(echo "${actives}" | grep wifi) possiblyeth=$(echo "${actives}" | grep Wired)

@@ -23,15 +34,14 @@ fi

echo -n "${output} " -# battery - + # battery powerlevel=$(cat /sys/class/power_supply/BAT*/capacity) case $powerlevel in 0) meter=" " ;; 1|2|3|4|5|6|7|8|9) - meter=" " + meter="[ " ;; 10|11|12|13|14|15|16|17|18|19) meter=" "

@@ -60,9 +70,7 @@ ;;

*) meter="" ;; - esac + esac - echo "${meter}" - - sleep 10 -done + echo "${meter}" +fi